%global 	dist .el8.sw

Name:    	igal2
Version: 	2.4
Release: 	2%{?dist}
License: 	GPLv2
Group:		Text tools
URL:		http://igal.trexler.at/
Source0: 	http://igal.trexler.at/%{name}-%{version}.tar.gz
Source1: 	igal2-gen
Patch0:		igal2-sw.patch
Summary: 	Easy and flexible online Image GALlery generator
BuildRoot:	%{_temppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

Requires: 	perl
Requires:	ImageMagick
Requires:	perl-Image-ExifTool

%define		_igaldir /usr/share/igal2

%description
Igal2 is a quick, easy and flexible program meant to help you place your
digital images online.  It generates a pretty good-looking set of HTML
slides even with its default settings -- which can otherwise be easily
changed with a good number of command-line options or by altering igal2's
HTML and CSS template files.


%prep
%setup -q
%patch0 -p1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_igaldir}
mkdir -p %{buildroot}/%{_docdir}/%{name}
install -p -m 0755 %{name} %{buildroot}/%{_bindir}
install -p -m 0755 %{SOURCE1} %{buildroot}/%{_bindir}
install -p -m 0644 %{name}.1 %{buildroot}/%{_mandir}/man1
install -p -m 0644 README ChangeLog %{buildroot}/%{_docdir}/%{name}
install -p -m 0644 indextemplate2.html slidetemplate2.html tile.png igal2.css directoryline2.html %{buildroot}/%{_igaldir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}-gen
%{_igaldir}/*
%{_mandir}/man1/%{name}.1*
%doc 
%{_docdir}/%{name}/README 
%{_docdir}/%{name}/ChangeLog

%changelog
